<?php 
 ini_set('display_errors', 1);
error_reporting(E_ALL);
 
  $cc=0;
  $rc=0;
  $tPrice=0;     
  $ttprice=0;
  $ttInv=0;
  require_once "labClass.php";
  
 $con = new labClass();
  ?>
  <div class="container-fluid" id="co"> 
  <small><h6>PURCHASE ORDER REPORTS:</h6></small>
   <table class="table">
    <!--<tr>
      <td colspan="4">
        <sup id="tr"></sup>
      <label for="cname" class="form-label">Choose customer from the list:</label>
<input class="form-control" list="cnames" name="cname" id="cname" onchange="processData();">
<datalist id="cnames">
    <?php
    /* $Q= $con->getporderListBcN();
     if ($Q->rowCount()>0) {
     $lb=
     $Q->fetchAll();
     foreach ($lb as $key => $l) {
      
      ?>
      <option value="<?php echo  $l["cname"];?>">  
             <?php
            
           }
           }
 */
      ?>
      </datalist>

    </td>
     <td style="width:15%;">Sort by un-received:
     <select  class="form-control" id="unrecv" name="unrecv" onchange="processD();"> 
     <option value=""></option>
     <option value="Un-confirmed">Un-confirmed</option> 
     </select>
          
  </td>
  </tr>-->
 <tr>
  <td style="width:15%;">Sort by date range:</td><td style="width:10%;" ><input type="date" style="width:200px;" class="form-control" id="dat1" name="dat1"  value="<?php echo Date("Y-m-d");?>" >
  </td>
  <td>and:</td><td style="width:10%;">
          <input type="date" style="width:200px;" class="form-control" id="dat2" name="dat2" value="<?php echo Date("Y-m-d");?>">
  </td><td style="width:10%;">  
  <button type="submit" class="btn btn-primary" style="width:100%; height:40px;" onclick="var sdate=$('#sdate').val(); var dat1=$('#dat1').val(); var dat2=$('#dat2').val();  $.post('editDelpurchorderBdt.php',{sdate:sdate,dat1:dat1,dat2:dat2},function(data){$('#dpl').html(data).show();});">Generate</button>
 </td>      
 </tr>
 </table>
 <div class="container-fluid " id="dpl">
  <?php
 $chkp= $con->getPorderRec(); 
     
if ($chkp->rowCount()>0) {

  $chp=$chkp->fetchAll();
  ?>
<table class="table table-bordered" border="1"> 
   <thead class="bg-secondary" >
       
      <th>  
        <small><h6>ORDER DATE</h6></small>
      </th>
      <th>  
        <small><h6>ORDER NO</h6></small>
      </th>
       
      <th>  
        <small><h6>PATICULAR</h6></small>
      </th>
      
      <th>  
        <small><h6>QTY</h6></small>
      </th>
      <th>  
        <small><h6>CONFIRM RECV QTY</h6></small>
      </th>
       
       <th>  
        <small><h6>RECEIVED DATE</h6></small>
      </th>
      <th>  
        <small><h6>RECEIVE FROM</h6></small>
      </th>
      <th>  
        <small><h6>VERIFIED BY</h6></small>
      </th>
    </thead>
   <?php
    foreach ($chp as $key => $p) {
    $orderID=$p['orderID'];

    //
    $cc++; 
    $cp= $con->getThispOrderItemList($orderID);
    $nr=$cp->rowCount();


        ?>
 <tbody>
 <tr>
    <td rowspan="<?php echo $nr+2; ?>">
    <?php echo $p['orderdate'];?> 
    </td>
 
     <td rowspan="<?php echo $nr+2; ?>" > 
     <sup id="rd<?php echo $cc; ?>"></sup>
     <sup id="orno<?php echo $cc; ?>"><?php echo $p['orderID'];?></sup>
      <input type="Submit" onclick="var orderID =document.getElementById('orno<?php echo $cc;?>').innerHTML;  var sdate=$('#sdate').val();    
                     if(orderID!='' && sdate!='') {$.post('editDelpurchAllorder.php',{orderID:orderID,sdate:sdate},function(data){$('#rd<?php echo $cc; ?>').html(data).show();});$('#sbq<?php echo $cc; ?>').hide();} else{document.getElementById('rd<?php echo $cc;?>').innerHTML='All field required!..';}" style="width:50px;"  id="sbq<?php echo $cc; ?>" name="sbq<?php echo $rc; ?>"  value="Delete" >
                      <input type="hidden"  style="width:50px;"  id="tsp<?php echo $cc; ?>" name="tsp<?php echo $rc; ?>"  value="<?php echo $p['payableA']; ?>" >
     </td>

    <td colspan="3" >
    </td>
   <td rowspan="<?php echo $nr+2; ?>">
    <?php if ($p['recvby']!=NULL) 
    {
       echo $p['invdate'];
    }else{
    ?>
    <input type="date" style="width:100%;" class="form-control" id="dt<?php echo $cc; ?>" name="dt<?php echo $cc; ?>"  value="<?php echo Date("Y-m-d");?>" >

    <sup id="rdn<?php echo $cc; ?>"></sup>
    <?php
    } 
    ?>
    </td>
    <td rowspan="<?php echo $nr+2; ?>">
    <?php echo $p['receivedF'];?>
    </td>
     
    </tr>    
     <?php 
   
    if ($cp->rowCount()>0) {

    $ch=$cp->fetchAll();
     
      foreach ($ch as $key => $c) {
         $rc++;
      ?>
          <tr>
            <td>
                 
            <sup id="in<?php echo $rc;?>"><?php echo $c['iname'];?></sup>
            </td> 
            
            <td> 
               <?php echo $c['eQty'];?><br/> 
                 <?php if ($c['confrecv']!=NULL) 
                { 
                
                $text=$c['confrecv'];
                if (preg_match('/Qty:\((\d+)\)/', $text, $matches)) 
                {
                 $quantity = (int) $matches[1];
                 if ($c['eQty']>$quantity)
                 {
                     echo "rcv:".$quantity;
                 }
                }
                }
                ?>
            </td>

            <td>
              <sup id="rd<?php echo $rc; ?>"></sup>
               <textarea style="background-color:white; height:30px; width:95%;"   name="confrv<?php echo $rc; ?>" id="confrv<?php echo $rc; ?>" onkeypress="$('#sbq<?php echo $rc; ?>').show();"><?php echo $c['confrecv'];?></textarea>
               
                   <input type="Submit" onclick="var inam =document.getElementById('in<?php echo $rc;?>').innerHTML;var orderID =document.getElementById('orno<?php echo $cc;?>').innerHTML;  var user=$('#user').val();var confrv=$('#confrv<?php echo $rc;?>').val(); var sdate=$('#sdate').val();    
                     if(orderID!=''&& inam!='' && sdate!='' && user!='') {$.post('editDelpurchorderPro.php',{confrv:confrv, orderID:orderID, inam:inam,user:user,sdate:sdate},function(data){$('#rd<?php echo $rc; ?>').html(data).show();});$('#sbq<?php echo $rc; ?>').hide();} else{document.getElementById('rd<?php echo $rc;?>').innerHTML='All field required!..';}" style="width:50px; display:none;"  id="sbq<?php echo $rc; ?>" name="sbq<?php echo $rc; ?>"  value="Save" >
                 
                 
                 
             </td>
           
               <td>
                   <sup id="d<?php echo $rc; ?>"></sup>
                   <input type="Submit" onclick="var inam =document.getElementById('in<?php echo $rc;?>').innerHTML;var orderID =document.getElementById('orno<?php echo $cc;?>').innerHTML; var tsp=$('#tsp<?php echo $cc; ?>').val(); var user=$('#user').val();var confrv=$('#confrv<?php echo $rc;?>').val(); var sdate=$('#sdate').val();    
                     if(orderID!=''&& inam!='' && tsp!='' && sdate!='' && user!='') {$.post('eDelpurchorderPro.php',{confrv:confrv, orderID:orderID, inam:inam,user:user,tsp:tsp,sdate:sdate},function(data){$('#d<?php echo $rc; ?>').html(data).show();});} else{document.getElementById('d<?php echo $rc;?>').innerHTML='All field required!..';}" style="width:70px;"  id="bq<?php echo $rc; ?>" name="bq<?php echo $rc; ?>"  value="DELETE" >
                     <?php 
                     /* if ($c['confrecv']!=NULL) 
                { >
              
                
               
                   <input type="Submit" onclick="var inam =document.getElementById('in<?php echo $rc;?>').innerHTML;var orderID =document.getElementById('orno<?php echo $cc;?>').innerHTML; var tsp=$('#tsp<?php echo $cc; ?>').val(); var user=$('#user').val();var confrv=$('#confrv<?php echo $rc;?>').val(); var sdate=$('#sdate').val();    
                     if(orderID!=''&& inam!='' && tsp!='' && sdate!='' && user!='') {$.post('eDelpurchorderPro.php',{confrv:confrv, orderID:orderID, inam:inam,user:user,tsp:tsp,sdate:sdate},function(data){$('#rd<?php echo $rc; ?>').html(data).show();});$('#bq<?php echo $rc; ?>').hide();} else{document.getElementById('d<?php echo $rc;?>').innerHTML='All field required!..';}" style="width:70px;"  id="bq<?php echo $rc; ?>" name="bq<?php echo $rc; ?>"  value="DELETE" >
                 
                   <?php }*/ ?>
                 
             </td>
              
                   </tr>
                   <?php 
                       } 
                       
                    }       
}
$cc=0; 
?>
 
</tbody>
</table> 

<?php

}
?>
 </div>
 <script type="text/javascript">
   function processData(){ 
var ecc=0; 
var cname =document.getElementById('cname').value; 
$.trim(cname);
var dat1 =document.getElementById('dat1').value; 
$.trim(dat1);
var dat2 =document.getElementById('dat2').value; 
$.trim(dat2);
  //FIRST NAME VALIDATION
  
if(cname==""){ 

         ecc++;
         document.getElementById('tr').innerHTML="Item customer is required!..";

             }
else{

document.getElementById('tr').innerHTML="";
    }
  if(dat1==""){ 

         ecc++;
         document.getElementById('tr').innerHTML="Item date range is required!..";

             }
else{

document.getElementById('tr').innerHTML="";
    }
if(dat2==""){ 

         ecc++;
         document.getElementById('tr').innerHTML="Item date range is required!..";

             }
else{

document.getElementById('tr').innerHTML="";
    }
    if(ecc==0)
    { 
        $.post("pharmporderBcNLPO.php",
          {cname:cname,dat1:dat1,dat2:dat2},
          function(data){
      $('#dpl').html(data).show();

    });
    }
 
}

function processD(){ 
var user =document.getElementById('user').value; 
$.trim(user);  
  $.post("sortpurchaseBsttus.php",
          {user:user},
          function(data){
      $('#dpl').html(data).show();

    });
}

 </script>